search for: 21b55b9

Displaying 3 results from an estimated 3 matches for "21b55b9".

2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...]}; ++i )); do + ${_cleanup_hook[i]} + done + + exit $status +} +trap _run_cleanup_hooks INT QUIT TERM EXIT ERR + # foreach_plugin f # # For each plugin that was built, call test function f with the plugin diff --git a/tests/test-blocksize.sh b/tests/test-blocksize.sh index cb9b09f..21b55b9 100755 --- a/tests/test-blocksize.sh +++ b/tests/test-blocksize.sh @@ -31,6 +31,7 @@ # OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF # SUCH DAMAGE. +source ./functions.sh set -e files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid @@ -54,10 +55,6 @@...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here: https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html v2: - Fix tab vs spaces in configure.ac. - To generate list of plugins, use printf instead of xargs. - Use 'source ./functions.sh' instead of 'source functions'. - functions.sh: Consistent quoting in foreach_plugin function. - functions.sh: Change the contract of start_nbdkit so it
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...dfile was not created" + exit 1 + fi + + # Kill nbdkit on exit. + cleanup_fn kill "$(cat $pidfile)" +} + # foreach_plugin f # # For each plugin that was built, call test function f with the plugin diff --git a/tests/test-blocksize.sh b/tests/test-blocksize.sh index 21b55b9..aa3cc13 100755 --- a/tests/test-blocksize.sh +++ b/tests/test-blocksize.sh @@ -50,14 +50,10 @@ if ! qemu-io -f raw -c 'r 0 1' -c 'w -z 1000 2000' \ fi truncate -s 10M blocksize2.img -pid1= pid2= - -# Kill any nbdkit processes on exit. +# For easier debugging, dump the final log...